bugGNUstep Application Project - Bugs: bug #39959, [MPDCon] libbsd needed for...

 
 

bug #39959: [MPDCon] libbsd needed for arc4random

Submitted by:  adr <adr>
Submitted on:  Thu 05 Sep 2013 08:11:45 PM UTC  
 
Category: ApplicationSeverity: 3 - Normal
Item Group: BugStatus: Fixed
Privacy: PublicAssigned to: None
Open/Closed: Closed

Add a New Comment (Rich MarkupRich Markup):
   

You are not logged in

Please log in, so followups can be emailed to you.

 

Sat 14 Dec 2013 12:38:50 PM UTC, comment #3:

Fixed in v1.5.1. Thanks!
Bug report can be closed IMO.

adr <adr>
Sun 08 Sep 2013 05:35:57 PM UTC, comment #2:

Please skip the PPC/libbsd part, as it seems Gentoo related.

adr <adr>
Fri 06 Sep 2013 05:03:45 AM UTC, comment #1:

I forgot to mention, that I edited GNUmakefile.preamble as well:
ADDITIONAL_LDFLAGS += -lbsd

adr <adr>
Thu 05 Sep 2013 08:11:45 PM UTC, original submission:

Background: https://bugs.gentoo.org/show_bug.cgi?id=480618
MPDCon 1.4

Hi all,

The package doesn't build on a Linux system (-->build log). It seems that libbsd must be installed for the arc4random function, which is not mentioned in the Documentation/Install file. It builds and runs fine with libbsd installed on my system, but then it drops an ugly warning at the end of the installation process. It's a standard QA notice from the Gentoo Linux package installer:
--------

  • QA Notice: Package triggers severe warnings which indicate that it
  • may exhibit random runtime failures.
  • RandomPlaylistFeed.m:152:17: warning: implicit declaration of function 'arc4random' [-Wimplicit-function-declaration]
  • Please do not file a Gentoo bug and instead report the above QA
  • issues directly to the upstream developers of this software.
  • Homepage: http://gap.nongnu.org/mpdcon/

-------------

I read somewhere, that arc4random is included in libc on BSD systems, but Linux libc doesn't have arc4random. I'm not an expert on this though.

Normally the GNUstep packages in Gentoo Linux are provided for the x86, amd64 and ppc architectures, but libbsd is only available for x86 and amd64. Not sure what happens when MPDCon is build on a PPC, without libbsd.

adr <adr>

 

(Note: upload size limit is set to 16384 kB, after insertion of the required escape characters.)

Attach File(s):
   
   
Comment:
   

Attached Files
file #29050:  20130908-163418.log added by adr (29kB - application/octet-stream - Correct build log; ignore attached #29019)
file #29019:  20130905-185117.log added by adr (29kB - application/octet-stream - Build log, and general system info)
file #29020:  emerge.info added by adr (4kB - application/octet-stream - Build log, and general system info)

 

Depends on the following items: None found

Items that depend on this one: None found

 

Carbon-Copy List
  • -unavailable- added by rmottola (Updated the item)
  • -unavailable- added by adr (Submitted the item)
  •  

    Do you think this task is very important?
    If so, you can click here to add your encouragement to it.
    This task has 0 encouragements so far.

    Only logged-in users can vote.

     

    Please enter the title of George Orwell's famous dystopian book (it's a date):

     

     

    Follow 5 latest changes.

    Date Changed By Updated Field Previous Value => Replaced By
    Mon 27 Jan 2014 03:08:01 PM UTCrmottolaStatusNone=>Fixed
      Open/ClosedOpen=>Closed
    Sun 08 Sep 2013 04:49:52 PM UTCadrAttached File-=>Added 20130908-163418.log, #29050
    Thu 05 Sep 2013 08:11:45 PM UTCadrAttached File-=>Added 20130905-185117.log, #29019
      Attached File-=>Added emerge.info, #29020

    Back to the top


    Powered by Savane 3.1-cleanup